---
title: 'Rockin'' Ubuntu For Work, New Dotfiles'
date: 2019-08-03T20:44:08.734Z
tags:
  - Career
  - Tech
  - Devtools
coverImage: /images/uploads/laptop.jpg
description: >-
  Very excited to be using Linux fulltime! View the full post to read about the
  tech and some new fancy dotfiles for 2019.
---
I recently [said goodbye to my job of three and a half years as a Developer III at Q2](https://gaiety.life/moving-on-from-q2) where I teased exciting things upcoming in the near future.

_More news on the job itself soon, but for now let's talk tech!_

## The Laptop

I've fallen in love with this **Dell XPS 13 9380** with a 4k touch display and 16GB of ram shipped running Ubuntu out of the box. Coming soon are new home-office pieces such as monitors, arms, and a new desk which I'll be sure to post about when they arrive.

It came in Silver with a big Dell logo on the back before I got my hands on it, I've used some **vehicle interrior Adhesive Wrap by StyleTECH** trimmed with an x-acto knife to achieve the carbon fiber look and cover up the logo. A major benefit, besides the beautiful aesthetic, are I can add stickers as I please to the laptop without fear of ruining the laptop itself.

The stickers are primarily from Redbubble as now many tech companies actually sell stickers directly - although I hope to add a DuckDuckGo official logo soon.

## The Dotfiles / Config

My [2019 Dotfiles](https://gitlab.com/gaiety/dotfiles) are fresh and made just for this build codenamed: _Space Octopus_. At a glance these dotfiles use [**Hyper**](https://hyper.is/) terminal, [**Zsh (and Oh-My-Zsh)**](https://ohmyz.sh/) shell, [**Hasklig**](https://github.com/i-tu/Hasklig/) font, [**Ag**](https://github.com/ggreer/the_silver_searcher) searching, [**Fzf**](https://github.com/junegunn/fzf) fuzzy-finding and [**NeoVim**](https://neovim.io/) as the primary editor.

![](/images/uploads/screenshot-from-2019-08-03-15-48-25.png)

I'm still on the lookup for a nice Window Tiler and tree browsing solution. We'll see!

I've also done a fair amount of [Gnome Tweaks](https://github.com/GNOME/gnome-tweaks) and [Shell Tweaks](https://itsfoss.com/gnome-shell-extensions/) including [Dash to Panel](https://extensions.gnome.org/extension/1160/dash-to-panel/) and the [Flat Remix GTK shell theme](https://www.pling.com/p/1214931).
